Ubuntu

linux: 2.6.35-30.60 -proposed tracker

Reported by Herton R. Krzesinski on 2011-09-19
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Brendan Donegan
Prepare-package
Undecided
Herton R. Krzesinski
Prepare-package-lbm
Undecided
Canonical Kernel Team
Prepare-package-meta
Undecided
Canonical Kernel Team
Prepare-package-ports-meta
Undecided
Canonical Kernel Team
Promote-to-proposed
Undecided
Ubuntu Stable Release Updates Team
Promote-to-security
Undecided
Ubuntu Stable Release Updates Team
Promote-to-updates
Undecided
Ubuntu Stable Release Updates Team
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
Marc Deslauriers
Verification-testing
Undecided
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Maverick
Undecided
Unassigned

Bug Description

This bug is for tracking the 2.6.35-30.60 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Monday, 19. September 2011 18:07 UTC
kernel-stable-Prepare-package-end:Tuesday, 20. September 2011 05:35 UTC
kernel-stable-Promote-to-proposed-start:Tuesday, 20. September 2011 05:35 UTC
kernel-stable-Promote-to-proposed-end:Wednesday, 21. September 2011 06:31 UTC
kernel-stable-Verification-testing-start:Wednesday, 21. September 2011 06:31 UTC
kernel-stable-Verification-testing-end:Friday, 23. September 2011 13:00 UTC
kernel-stable-Certification-testing-start:Friday, 23. September 2011 13:00 UTC
kernel-stable-Security-signoff-start:Friday, 23. September 2011 13:00 UTC
kernel-stable-Regression-testing-start:Friday, 23. September 2011 13:00 UTC
kernel-stable-Security-signoff-end:Friday, 23. September 2011 14:45 UTC
kernel-stable-Regression-testing-end:Wednesday, 28. September 2011 21:45 UTC
kernel-stable-Promote-to-updates-start:Tuesday, 04. October 2011 21:30 UTC
kernel-stable-Certification-testing-end:Tuesday, 04. October 2011 21:30 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Tuesday, 11. October 2011 07:45 UTC
kernel-stable-Promote-to-updates-end:Tuesday, 11. October 2011 07:45 UTC

tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: maverick
Changed in kernel-sru-workflow:
status: New → In Progress

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ti-omap4 - bug 854428
linux-mvl-dove - bug 854429

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-backport-maverick (lucid) - bug 854430

description: updated
Martin Pitt (pitti) on 2011-09-21
Changed in linux (Ubuntu):
status: In Progress → Invalid
description: updated
Herton R. Krzesinski (herton) wrote :

Verification for this maverick release ended earlier than expected (verification week is next week). Bug 783660 was the only one needing verification, which was updated/done today by Stefan, everything else is CVE fixes.

description: updated
Marc Deslauriers (mdeslaur) wrote :

Looks good, thanks!

Hardware Certification probably won't be able to pick this up until the designated regression testing week (starting the 3rd of October). We'll update the bug whenever we do pick it up.

description: updated
C de-Avillez (hggdh2) wrote :

Heads up, bug 861550 opened against generic-pae. I will re-run the tests; not observed on server and generic (amd64) so far.

C de-Avillez (hggdh2) wrote :

A potential regression has been found on EC2 m1.small. I did not see it on either bare-metal or KVM (yet, still to re-check i386 KVM). Bug 861843 has been opened.

Tagging failed.

tags: added: qa-testing-failed

The bug was tagged as qa-testing-failed

Changed in kernel-sru-workflow:
status: In Progress → Incomplete
description: updated

Hey!

Bedankt voor je mail! Ik ben er even tussenuit geknepen naar een lekker warm land! Ik beantwoord je mail na mijn vakantie (11 oktober).

Groetjes!

Ruben

C de-Avillez (hggdh2) wrote :

Further analysis by Stephan shows the bug to be on AWS; re-tagging passed.

tags: added: qa-testing-passed
removed: qa-testing-failed

Since there is no regression, we'll pick up the certification testing.

Changed in kernel-sru-workflow:
status: Incomplete → In Progress
description: updated

Hardware Certification have completed testing on 113/115 systems. Two have hardware issues which are not related to the SRU. No regressions were detected. The report is available here: http://people.canonical.com/~hwcert/sru-testing/wk40_2011/maverick-proposed.html

The certification-testing task was set to Fix Released but neither the certification-testing-passed or certification-testing-failed tag was applied

tags: added: certification-testing-passed
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.35-30.60

---------------
linux (2.6.35-30.60) maverick-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #854092

  [ Stefan Bader ]

  * [Config] Force perf to use libiberty for demangling
    - LP: #783660

  [ Tim Gardner ]

  * [Config] Simplify binary-udebs dependencies
  * [Config] kernel preparation cannot be parallelized
  * [Config] Linearize module/abi checks
  * [Config] Linearize and simplify tree preparation rules
  * [Config] Build kernel image in parallel with modules
  * [Config] Set concurrency for kmake invocations
  * [Config] Improve install-arch-headers speed
  * [Config] Fix binary-perarch dependencies
  * [Config] Removed stamp-flavours target
  * [Config] Serialize binary indep targets
  * [Config] Use build stamp directly
  * [Config] Restore prepare-% target
  * [Config] Fix binary-% build target

  [ Upstream Kernel Changes ]

  * Add mount option to check uid of device being mounted = expect uid,
    CVE-2011-1833
    - LP: #732628
    - CVE-2011-1833
  * ipv6: make fragment identifications less predictable, CVE-2011-2699
    - LP: #827685
    - CVE-2011-2699
  * perf: Fix software event overflow, CVE-2011-2918
    - LP: #834121
    - CVE-2011-2918
  * cifs: fix possible memory corruption in CIFSFindNext, CVE-2011-3191
    - LP: #834135
    - CVE-2011-3191
  * befs: Validate length of long symbolic links, CVE-2011-2928
    - LP: #834124
    - CVE-2011-2928
  * gro: Only reset frag0 when skb can be pulled, CVE-2011-2723
    - LP: #844371
    - CVE-2011-2723
  * Validate size of EFI GUID partition entries, CVE-2011-1776
    - LP: #844365
    - CVE-2011-1776
  * inet_diag: fix inet_diag_bc_audit(), CVE-2011-2213
    - LP: #838421
    - CVE-2011-2213
  * si4713-i2c: avoid potential buffer overflow on si4713, CVE-2011-2700
    - LP: #844370
    - CVE-2011-2700
  * Bluetooth: Prevent buffer overflow in l2cap config request,
    CVE-2011-2497
    - LP: #838423
    - CVE-2011-2497
  * core: Fix memory leak/corruption on VLAN GRO_DROP, CVE-2011-1576
    - LP: #844361
    - CVE-2011-1576
 -- Herton Ronaldo Krzesinski <email address hidden> Mon, 19 Sep 2011 15:10:43 -0300

Changed in linux (Ubuntu Maverick):
status: New → Fix Released
Martin Pitt (pitti) wrote :

copied to -u/-s

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers